Bug 3068 - OpenLDAP does not create /var/run/ldap on /run/ tmpfs causing OpenLDAP to fail to start
: OpenLDAP does not create /var/run/ldap on /run/ tmpfs causing OpenLDAP to fai...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Alexander Burmashev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 23:04 MSK by Zombie Ryushu
Modified: 2013-11-20 10:43 MSK (History)
4 users (show)

See Also:
RPM Package: openldap-servers
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-11-02 23:04:19 MSK
The Start up script fails to start OpenLDAP because the /var/run/ldap directory where slapd.pid and slapd.args resides does not exist. the ldap startup script needs to be modified to correct this issue.

pid_dir="/var/run/ldap"
if [ ! -d $pid_dir ]; then
mkdir -p $pid_dir
chown ldap:ldap $pid_dir
fi

Something like this is all that is required.
Comment 1 Denis Silakov 2013-11-13 12:22:48 MSK
Some time ago we have made /var/run to be a symlink to /run. Maybe something was broken with already installed openldap during this update, in general /var/run/ldap folder is created during package installation automatically.
Comment 2 Alexander Burmashev 2013-11-13 12:25:22 MSK
/var/run and /run contents are stored in tmpfs currently, so if there is no specific tmpfiles.d config for this package, folder will be deleted after reboot.
Comment 3 Denis Silakov 2013-11-13 12:26:23 MSK
Ah, indeed. I will rebuild openldap in a proper way.
Comment 4 Zombie Ryushu 2013-11-13 14:58:55 MSK
(In reply to comment #3)
> Ah, indeed. I will rebuild openldap in a proper way.

I fileda related bug against smbk5pwd.
Comment 5 Denis Silakov 2013-11-13 22:20:32 MSK
Advisory:

Adopted openldap-servers for the new /run folder.

Build lists:
https://abf.rosalinux.ru/build_lists/1387793
https://abf.rosalinux.ru/build_lists/1387792

Note for testers - to test this update, install openldap-servers package and reboot. /var/run/ldap folder should exist (with previous version, this folder was not restored after reboot).
Comment 6 Alexander Petryakov 2013-11-20 02:12:29 MSK
openldap-2.4.33-2
************** Advisory **************
Adopted openldap-servers for the new /run folder.
**************************************
QA Verified